Page MenuHomePhabricator

Replace Translate `#36b` and SVG colors with WikimediaUI palette ones
Closed, ResolvedPublic

Event Timeline

Change 379687 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Translate@master] Replace abandoned blue with WikimediaUI color palette one

https://gerrit.wikimedia.org/r/379687

Do we also want to replace instances of:

  • #3a89c9?
  • #3366bb in the SVG icons?

Change 379687 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Replace abandoned blue with WikimediaUI color palette one

https://gerrit.wikimedia.org/r/379687

Change 380062 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Translate@master] Align SVGs to WikimediaUI color palette and optimize

https://gerrit.wikimedia.org/r/380062

@Prtksxna Right call, above patch is not only aligning colors with palette, but also massively optimizing SVGs.

Volker_E renamed this task from Replace Translate `#36b` with WikimediaUI palette color to Replace Translate `#36b` and SVG colors with WikimediaUI palette ones.Sep 24 2017, 3:19 AM

Change 380062 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Align SVGs to WikimediaUI color palette and optimize

https://gerrit.wikimedia.org/r/380062

Volker_E closed this task as Resolved.Oct 19 2017, 3:06 AM
Volker_E removed a project: Patch-For-Review.

@Prtksxna Right call, above patch is not only aligning colors with palette, but also massively optimizing SVGs.

Awesome! I can still see this, does this need to be addressed?

resources/css/ext.translate.statsbar.css
20:    background-color: #3a89c9;
Volker_E raised the priority of this task from High to Needs Triage.Nov 2 2017, 9:52 PM
Volker_E moved this task from Backlog to Done on the UI-Standardization-Kanban board.
Volker_E triaged this task as High priority.Nov 2 2017, 10:25 PM

@Prtksxna As I've stated on the patch, I haven't planned to go about every color in Translate, as it would honestly need a bigger redesign and it doesn't make sense to align colors beyond close and obvious ones. If you think there are clear ones, that don't disrupt significance or process clarity for users please propose in a patch. Stated blue was too far off our overhauled palette to amend IMHO.

@Volker_E that makes sense, thanks for explaining. I have submitted https://gerrit.wikimedia.org/r/#/c/388379/ asking for @Nikerabbit's opinion.